Bug 366331 - The disk RHEL5.1-Server-20071017.0-ia64-compat-layer-i386.iso contains no autorun file
The disk RHEL5.1-Server-20071017.0-ia64-compat-layer-i386.iso contains no aut...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.1
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Tomas Kopecek
Release Test Team
:
Depends On:
Blocks: 590060
  Show dependency treegraph
 
Reported: 2007-11-04 21:03 EST by Eric Lin
Modified: 2011-07-21 02:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 02:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Lin 2007-11-04 21:03:02 EST
Description of problem:
    RHEL5.1-Server-20071017.0-ia64-compat-layer-i386.iso does not contains 
autorun file, so rpm files on that disk can only be installed manully, which 
is not a suitable way for customers.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install RHEL5.1
2.in the last step, select “install additional disk”and put in the disk 
RHEL5.1-Server-20071017.0-ia64-compat-layer-i386.iso. 

  
Actual results:
There is no windows prompted for install

Expected results:
There is autorun windows prompted for install


Additional info:
Comment 4 Fenghua Yu 2007-11-07 13:21:51 EST
Other than missing autorun file, also need to take care of rpm dependency 
issue. One possible solution could be like:

1. Add the missing autorun file in the compat CD; 
2. In the release note or readme or somewhere in the compat CD, tell the 
customer which IA64 rpms are depended and how to install them either manually 
or through installer. 
3. The installer checks dependency. If dependency fails, report the failure 
and quit the failed rpm installation. Please don’t do force or nodeps 
installation. That’s wrong and can cause complex problems during runtime.

Comment 6 RHEL Product and Program Management 2008-08-12 17:42:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 RHEL Product and Program Management 2008-08-12 19:21:54 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 Dennis Gregorovic 2008-08-13 09:41:10 EDT
Gary,

If I spin a compat-layer CD with the modified autorun, could you test it?  I'd like to make sure that we actually do have the fix in hand before requesting an exception.
Comment 11 Issue Tracker 2008-08-13 10:46:12 EDT
I can test this if you spin a test CD. I have an ia64 box ready for
testing.


This event sent from IssueTracker by gcase 
 issue 198409
Comment 33 Gary Case 2011-02-02 11:35:24 EST
Eric,

It's doubtful that we're going to be able to address this issue in RHEL5. Do you want us to keep proposing it for new releases?

-Gary
Comment 34 Daniel Mach 2011-02-03 04:58:35 EST
Gary,
this bug is already approved for RHEL 5.7.

clearing needinfo
Comment 40 Alexander Todorov 2011-05-27 08:41:40 EDT
Tested with snapshot #1 as described in comment #0. I was able to install all compatlayer packages and corresponding dependencies.
Comment 41 errata-xmlrpc 2011-07-21 02:40:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0977.html

Note You need to log in before you can comment on or make changes to this bug.